<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersichtAndererVeranstalter\Detailsreiter\Fotos;

class FotosUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Fotos\FotosUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_ANDERER_VERANSTALTER_VA;
  }

  public static function getToolSectionId()
  {
    return 644;
  }

  
  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    }
    if (!$this->isRechtAllowed('640.1.4')) {
      return false;
    }

    return true;
  }
}